removeTable {openxlsx} | R Documentation

## Remove an Excel table in a workbook

### Description

List Excel tables in a workbook

### Usage

    removeTable(wb, sheet, table)

### Arguments

`wb` | A workbook object
`sheet` | A name or index of a worksheet
`table` | Name of table to remove. See `getTables`

### Value

character vector of table names on the specified sheet

### Examples

    wb <- createWorkbook()
    addWorksheet(wb, sheetName = "Sheet 1")
    addWorksheet(wb, sheetName = "Sheet 2")
    writeDataTable(wb, sheet = "Sheet 1", x = iris, tableName = "iris")
    writeDataTable(wb, sheet = 1, x = mtcars, tableName = "mtcars", startCol = 10)

    removeWorksheet(wb, sheet = 1) ## delete worksheet removes table objects

    writeDataTable(wb, sheet = 1, x = iris, tableName = "iris")
    writeDataTable(wb, sheet = 1, x = mtcars, tableName = "mtcars", startCol = 10)

    ## removeTable() deletes table object and all data
    getTables(wb, sheet = 1)
    removeTable(wb = wb, sheet = 1, table = "iris")
    writeDataTable(wb, sheet = 1, x = iris, tableName = "iris", startCol = 1)

    getTables(wb, sheet = 1)
    removeTable(wb = wb, sheet = 1, table = "iris")
    writeDataTable(wb, sheet = 1, x = iris, tableName = "iris", startCol = 1)

    saveWorkbook(wb = wb, file = "removeTableExample.xlsx", overwrite = TRUE)

[Package openxlsx version 4.1.0 Index]